package org.apache.commons.lang3;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.commons.lang3.text.translate.AggregateTranslator;
import org.apache.commons.lang3.text.translate.CharSequenceTranslator;
import org.apache.commons.lang3.text.translate.EntityArrays;
import org.apache.commons.lang3.text.translate.JavaUnicodeEscaper;
import org.apache.commons.lang3.text.translate.LookupTranslator;
import org.apache.commons.lang3.text.translate.NumericEntityEscaper;
import org.apache.commons.lang3.text.translate.NumericEntityUnescaper;
import org.apache.commons.lang3.text.translate.OctalUnescaper;
import org.apache.commons.lang3.text.translate.UnicodeUnescaper;
import org.apache.commons.lang3.text.translate.UnicodeUnpairedSurrogateRemover;

@Deprecated
public class StringEscapeUtils {
  public static final CharSequenceTranslator ESCAPE_JAVA = (new LookupTranslator((CharSequence[][])new String[][] { { "\"", "\\\"" }, { "\\", "\\\\" } })).with(new CharSequenceTranslator[] { new LookupTranslator((CharSequence[][])EntityArrays.JAVA_CTRL_CHARS_ESCAPE()) }).with(new CharSequenceTranslator[] { JavaUnicodeEscaper.outsideOf(32, 127) });
  
  public static final CharSequenceTranslator ESCAPE_ECMASCRIPT = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator((CharSequence[][])new String[][] { { "'", "\\'" }, { "\"", "\\\"" }, { "\\", "\\\\" }, { "/", "\\/" } }), new LookupTranslator(







          
          (CharSequence[][])EntityArrays.JAVA_CTRL_CHARS_ESCAPE()), 
        JavaUnicodeEscaper.outsideOf(32, 127) });
  
  public static final CharSequenceTranslator ESCAPE_JSON = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator((CharSequence[][])new String[][] { { "\"", "\\\"" }, { "\\", "\\\\" }, { "/", "\\/" } }), new LookupTranslator(






          
          (CharSequence[][])EntityArrays.JAVA_CTRL_CHARS_ESCAPE()), 
        JavaUnicodeEscaper.outsideOf(32, 127) });
  
  @Deprecated
  public static final CharSequenceTranslator ESCAPE_XML = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator(
          
          (CharSequence[][])EntityArrays.BASIC_ESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.APOS_ESCAPE()) });
  
  public static final CharSequenceTranslator ESCAPE_XML10 = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator(
          
          (CharSequence[][])EntityArrays.BASIC_ESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.APOS_ESCAPE()), new LookupTranslator((CharSequence[][])new String[][] { 
            { "\000", "" }, { "\001", "" }, { "\002", "" }, { "\003", "" }, { "\004", "" }, { "\005", "" }, { "\006", "" }, { "\007", "" }, { "\b", "" }, { "\013", "" }, 
            { "\f", "" }, { "\016", "" }, { "\017", "" }, { "\020", "" }, { "\021", "" }, { "\022", "" }, { "\023", "" }, { "\024", "" }, { "\025", "" }, { "\026", "" }, 
            { "\027", "" }, { "\030", "" }, { "\031", "" }, { "\032", "" }, { "\033", "" }, { "\034", "" }, { "\035", "" }, { "\036", "" }, { "\037", "" }, { "￾", "" }, 
            { "￿", "" } }), NumericEntityEscaper.between(127, 132), 
        NumericEntityEscaper.between(134, 159), new UnicodeUnpairedSurrogateRemover() });
  
  public static final CharSequenceTranslator ESCAPE_XML11 = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator(
          
          (CharSequence[][])EntityArrays.BASIC_ESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.APOS_ESCAPE()), new LookupTranslator((CharSequence[][])new String[][] { { "\000", "" }, { "\013", "&#11;" }, { "\f", "&#12;" }, { "￾", "" }, { "￿", "" } }), NumericEntityEscaper.between(1, 8), 
        NumericEntityEscaper.between(14, 31), 
        NumericEntityEscaper.between(127, 132), 
        NumericEntityEscaper.between(134, 159), new UnicodeUnpairedSurrogateRemover() });
  
  public static final CharSequenceTranslator ESCAPE_HTML3 = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator(
          
          (CharSequence[][])EntityArrays.BASIC_ESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.ISO8859_1_ESCAPE()) });
  
  public static final CharSequenceTranslator ESCAPE_HTML4 = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator(
          
          (CharSequence[][])EntityArrays.BASIC_ESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.ISO8859_1_ESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.HTML40_EXTENDED_ESCAPE()) });
  
  public static final CharSequenceTranslator ESCAPE_CSV = new CsvEscaper();
  
  public static final CharSequenceTranslator UNESCAPE_JAVA = new AggregateTranslator(new CharSequenceTranslator[] { new OctalUnescaper(), new UnicodeUnescaper(), new LookupTranslator(


          
          (CharSequence[][])EntityArrays.JAVA_CTRL_CHARS_UNESCAPE()), new LookupTranslator((CharSequence[][])new String[][] { { "\\\\", "\\" }, { "\\\"", "\"" }, { "\\'", "'" }, { "\\", "" } }) });
  
  public static final CharSequenceTranslator UNESCAPE_ECMASCRIPT = UNESCAPE_JAVA;
  
  public static final CharSequenceTranslator UNESCAPE_JSON = UNESCAPE_JAVA;
  
  public static final CharSequenceTranslator UNESCAPE_HTML3 = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator(
          
          (CharSequence[][])EntityArrays.BASIC_UNESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.ISO8859_1_UNESCAPE()), new NumericEntityUnescaper(new NumericEntityUnescaper.OPTION[0]) });
  
  public static final CharSequenceTranslator UNESCAPE_HTML4 = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator(
          
          (CharSequence[][])EntityArrays.BASIC_UNESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.ISO8859_1_UNESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.HTML40_EXTENDED_UNESCAPE()), new NumericEntityUnescaper(new NumericEntityUnescaper.OPTION[0]) });
  
  public static final CharSequenceTranslator UNESCAPE_XML = new AggregateTranslator(new CharSequenceTranslator[] { new LookupTranslator(
          
          (CharSequence[][])EntityArrays.BASIC_UNESCAPE()), new LookupTranslator(
          (CharSequence[][])EntityArrays.APOS_UNESCAPE()), new NumericEntityUnescaper(new NumericEntityUnescaper.OPTION[0]) });
  
  public static final CharSequenceTranslator UNESCAPE_CSV = new CsvUnescaper();
  
  public static final String escapeJava(String input) {
    return ESCAPE_JAVA.translate(input);
  }
  
  public static final String escapeEcmaScript(String input) {
    return ESCAPE_ECMASCRIPT.translate(input);
  }
  
  public static final String escapeJson(String input) {
    return ESCAPE_JSON.translate(input);
  }
  
  public static final String unescapeJava(String input) {
    return UNESCAPE_JAVA.translate(input);
  }
  
  public static final String unescapeEcmaScript(String input) {
    return UNESCAPE_ECMASCRIPT.translate(input);
  }
  
  public static final String unescapeJson(String input) {
    return UNESCAPE_JSON.translate(input);
  }
  
  public static final String escapeHtml4(String input) {
    return ESCAPE_HTML4.translate(input);
  }
  
  public static final String escapeHtml3(String input) {
    return ESCAPE_HTML3.translate(input);
  }
  
  public static final String unescapeHtml4(String input) {
    return UNESCAPE_HTML4.translate(input);
  }
  
  public static final String unescapeHtml3(String input) {
    return UNESCAPE_HTML3.translate(input);
  }
  
  @Deprecated
  public static final String escapeXml(String input) {
    return ESCAPE_XML.translate(input);
  }
  
  public static String escapeXml10(String input) {
    return ESCAPE_XML10.translate(input);
  }
  
  public static String escapeXml11(String input) {
    return ESCAPE_XML11.translate(input);
  }
  
  public static final String unescapeXml(String input) {
    return UNESCAPE_XML.translate(input);
  }
  
  public static final String escapeCsv(String input) {
    return ESCAPE_CSV.translate(input);
  }
  
  public static final String unescapeCsv(String input) {
    return UNESCAPE_CSV.translate(input);
  }
}
